<?php
function isValid($login, $password){
	require('lib/db.php');

	$req = $db->prepare("SELECT ID, password FROM users WHERE name = ?");
	if($req->execute(array($login))){
		$data = $req->fetch();
		
		if(password_verify($password, $data['password'])){
			return $data['ID'];
		}else{
			return NULL;
		}
	}else{
		return NULL;
	}
}

function getUserName($id){
	require('lib/db.php');

	$req = $db->prepare("SELECT name FROM users WHERE ID = ?");
	if($req->execute(array($id))){
		$data = $req->fetch();
		
		return $data["name"];
	}else{
		return NULL;
	}
}
